## octave-octcdf 1.0.9

=== DESCRIPTION ===
Name: octcdf
Version: 1.0.9
Date: 2008-04-29
Author: Alexander Barth <abarth@marine.usf.edu>
Maintainer: Alexander Barth <abarth@marine.usf.edu>
Title: octcdf
Description: A NetCDF interface for octave
Depends: octave (>= 2.9.7)
Autoload: yes
BuildRequires: netcdf-devel
License: GPL version 2 or later
Url: http://octave.sf.net

=== src/Makefile ===

sinclude Makeconf

# assumptions to make if not using ./configure script
ifndef OCTAVE_FORGE
	MKOCTFILE=mkoctfile

#	Adapt the variables NETCDF_INC and NETCDF_LIB
#       for octcdf with NetCDF support only (and not OPeNDAP).
#	The folder NETCDF_INC should contain netcdf.h and
#	the folder NETCDF_LIB should contain libnetcdf.a or 
#	libnetcdf.so

#	NETCDF_INC=/usr/include/netcdf-3
#	NETCDF_LIB=/usr/lib/netcdf-3
#	OCTCDF_CFLAGS := $(CPPFLAGS) -I$(NETCDF_INC)
#	OCTCDF_LIBS := $(LDFLAGS) -L$(NETCDF_LIB) -lnetcdf

#       For NetCDF with OpenDAP (version 3.5.2 or higher) support use 
#	the following two lines instead
        OCTCDF_LIBS=$(shell ncdap-config --libs)
        OCTCDF_CFLAGS=$(shell ncdap-config --cflags) 


#       If you use a version of octave 2.1.x, uncomment the following
#       two lines

#	HAVE_OCTAVE_21 = 1
#	OCTCDF_CFLAGS := $(OCTCDF_CFLAGS) -DHAVE_OCTAVE_21

	HAVE_NETCDF = yes
	RM = rm -f
endif

NCTARGET = netcdf.oct

NCSOURCES = ov-netcdf.cc ov-ncfile.cc ov-ncvar.cc ov-ncatt.cc ov-ncdim.cc 
OBJECTS = $(patsubst %.cc,%.o,$(NCSOURCES))

MFILES =  ncchar.m ncfloat.m nclong.m ncbyte.m ncdouble.m ncint.m ncshort.m 

TARGETS = $(NCTARGET)

MOFLAGS = $(OCTCDF_CFLAGS)

#
# comment this line out if your octave installation does not have integer types.
#
MOFLAGS := $(MOFLAGS) -DHAVE_OCTAVE_INT

EXTRALIBS = $(OCTCDF_LIBS) 

ifeq ($(HAVE_NETCDF),yes)
all: $(TARGETS)
else
all:
	@echo "*** netcdf libraries or headers missing"; false
endif

mfiles: $(MFILES)

ov-netcdf.o ov-ncfile.o ov-ncvar.o  ov-ncatt.o  ov-ncdim.o: ov-netcdf.h ov-ncfile.h ov-ncvar.h  ov-ncatt.h ov-ncdim.h

$(NCTARGET) : $(OBJECTS)
	$(MKOCTFILE)  -o $@ $(MOFLAGS) $(OBJECTS) $(EXTRALIBS)

%.o:%.cc
	$(MKOCTFILE) -c $< $(MOFLAGS) $(DEFINES)


$(MFILES): nctype.m4
	m4 --define=TYPE=$(patsubst nc%.m,%,$@) nctype.m4 > $@

clean: ; -$(RM) *.o core* octave-core *.oct *~ *.nc

## octave-octcdf 1.0.12

=== DESCRIPTION ===
Name: octcdf
Version: 1.0.12
Date: 2009-02-19
Author: Alexander Barth <barth.alexander@gmail.com>
Maintainer: Alexander Barth <barth.alexander@gmail.com>
Title: octcdf
Description: A NetCDF interface for octave
Depends: octave (>= 2.9.7)
Autoload: yes
BuildRequires: netcdf-devel
License: GPL version 2 or later
Url: http://octave.sf.net

## octave-octcdf 1.0.13

=== DESCRIPTION ===
Name: octcdf
Version: 1.0.13
Date: 2009-02-19
Author: Alexander Barth <barth.alexander@gmail.com>
Maintainer: Alexander Barth <barth.alexander@gmail.com>
Title: octcdf
Description: A NetCDF interface for octave
Depends: octave (>= 3.1.55)
Autoload: yes
BuildRequires: netcdf-devel
License: GPL version 2 or later
Url: http://octave.sf.net

=== src/Makefile ===
--- 
+++ 
@@ -42,13 +42,12 @@
 TARGETS = $(NCTARGET)
 
 MOFLAGS = $(OCTCDF_CFLAGS)
+MOLIBS = $(shell mkoctfile --print LIBS) $(OCTCDF_LIBS) 
 
 #
 # comment this line out if your octave installation does not have integer types.
 #
 MOFLAGS := $(MOFLAGS) -DHAVE_OCTAVE_INT
-
-EXTRALIBS = $(OCTCDF_LIBS) 
 
 ifeq ($(HAVE_NETCDF),yes)
 all: $(TARGETS)
@@ -62,7 +61,7 @@
 ov-netcdf.o ov-ncfile.o ov-ncvar.o  ov-ncatt.o  ov-ncdim.o: ov-netcdf.h ov-ncfile.h ov-ncvar.h  ov-ncatt.h ov-ncdim.h
 
 $(NCTARGET) : $(OBJECTS)
-	$(MKOCTFILE)  -o $@ $(MOFLAGS) $(OBJECTS) $(EXTRALIBS)
+	LIBS="$(MOLIBS)" $(MKOCTFILE) -o $@ $(MOFLAGS) $(OBJECTS)
 
 %.o:%.cc
 	$(MKOCTFILE) -c $< $(MOFLAGS) $(DEFINES)

=== debian/changelog ===
octave-octcdf (1.0.13-2) unstable; urgency=low

  * debian/control:
    - Remove Rafael Laboissiere from Uploaders (Closes: #571857)
    - Remove Ólafur Jens Sigurðsson <ojsbug@gmail.com> from Uploaders
  * Switch to dpkg-source 3.0 (quilt) format
  * Bump Standards-Version to 3.8.4 (no changes needed)

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sun, 02 May 2010 17:58:28 +0200

octave-octcdf (1.0.13-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/control: Build-depend on octave-pkg-dev >= 0.7.0, such that the
    package is built against octave3.2

  [ Thomas Weber ]
  * New upstream release
  * Use quilt for patches
  * New patch: update-tests, fixes failing tests. Taken from upstream SVN.
    Unfortunately, the tests still don't pass due to a bug in Octave, see
    http://old.nabble.com/writing-ncdf-file-with-octcdf-to26238983.html

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Wed, 30 Dec 2009 22:14:22 +0100

octave-octcdf (1.0.12-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + (Standards-Version): Bump to 3.8.1 (no changes needed)
    + (Depends): Add ${misc:Depends}
    + (Vcs-Git, Vcs-Browser): Adjust to new Git repository
  * debian/copyright:
    + Use DEP5 URL in Format-Specification
    + Use separate License stanzas for instructing about the location of
      the different licenses used in the package

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 24 May 2009 15:54:56 +0200

octave-octcdf (1.0.11-2) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/copyright: Add header
  * debian/control: Bump build-dependency on octave-pkg-dev to >= 0.6.4,
    such that the package is built with the versioned packages directory
  * debian/rules: Use debian/clean instead of manually cleaning files
  * debian/compat, debian/control: Bump build-dependency on debhelper to
    >= 7.0.0, otherwise debian/clean is moot
  * debian/clean: New file

  [ Thomas Weber ]
  * Upload to unstable

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Tue, 07 Apr 2009 19:21:24 +0200

octave-octcdf (1.0.11-1) experimental; urgency=low

  [ Rafael Laboissiere ]
  * debian/rules: Use debian/clean instead of manually cleaning files
  * debian/compat, debian/control: Bump build-dependency on debhelper to
    >= 7.0.0, otherwise debian/clean is moot
  * debian/clean: New file

  [ Thomas Weber ]
  * New upstream release
  * Bump dependency on octave-pkg-dev to 0.6.1, to get the experimental
    version

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Thu, 11 Dec 2008 22:05:12 +0100

octave-octcdf (1.0.9-2) unstable; urgency=low

  * debian/control:
    + Replace obsolete build-dependency netcdfg-dev by libnetcdf-dev
    + Bump Standards-Version to 3.8.0 (no changes needed)

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 01 Jul 2008 18:42:26 +0200

octave-octcdf (1.0.9-1) unstable; urgency=low

  [ Ólafur Jens Sigurðsson ]
  * New upstream version

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Mon, 12 May 2008 10:36:40 +0200

octave-octcdf (1.0.8-1) unstable; urgency=low

  * Initial release (closes: #468511)

 -- Ólafur Jens Sigurðsson <ojsbug@gmail.com>  Sat, 16 Feb 2008 16:01:45 +0100

=== debian/control ===
Source: octave-octcdf
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Thomas Weber <thomas.weber.mail@gmail.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.0), cdbs, octave-pkg-dev (>= 0.7.0), 
 libnetcdf-dev
Standards-Version: 3.8.4
Homepage: http://octave.sourceforge.net/octcdf
Vcs-Git: git://git.debian.org/git/pkg-octave/octave-octcdf.git
Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-octcdf.git

Package: octave-octcdf
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends},
Description: NetCDF data files interface for Octave
 This package provides functions to work with NetCDF data files in
 Octave, a numerical computation software. This package provides a
 function (netcdf) that creates and reads NetCDF files and writes to a
 NetCDF file (ncdump) among others.
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/watch ===
version=3
http://octave.sourceforge.net/packages.php \
    http://downloads\.sourceforge\.net/octave/octcdf-([\d.]+)\.tar\.gz\?download

## octave-octcdf 1.1.4

=== debian/changelog ===
octave-octcdf (1.1.4-2) unstable; urgency=low

  * debian/watch: Use the SourceForge redirector
  * New patch: do_not_pass_compiler_flags_to_mkoctfile (Closes: 666142)

 -- Thomas Weber <tweber@debian.org>  Fri, 27 Apr 2012 00:40:56 +0200

octave-octcdf (1.1.4-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 1.1.4
  * Bump to debhelper compat level 9
  * Build-depend on octave-pkg-dev >= 1.0.1, to build against Octave 3.6
  * Add Sébastien Villemot to the list of Uploaders
  * Bump to Standards-Version 3.9.3, no changes needed
  * debian/patches/update-tests: Drop patch (applied upstream)
  * debian/copyright: update to machine-readable format 1.0

 -- Thomas Weber <tweber@debian.org>  Sun, 25 Mar 2012 22:26:54 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: math
 Priority: optional
 Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
-Uploaders: Thomas Weber <thomas.weber.mail@gmail.com>
+Uploaders: Thomas Weber <tweber@debian.org>,
+           Sébastien Villemot <sebastien.villemot@ens.fr>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7.0.0), cdbs, octave-pkg-dev (>= 0.7.0), 
+Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.1),
  libnetcdf-dev
-Standards-Version: 3.8.4
+Standards-Version: 3.9.3
 Homepage: http://octave.sourceforge.net/octcdf
 Vcs-Git: git://git.debian.org/git/pkg-octave/octave-octcdf.git
 Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-octcdf.git

## octave-octcdf 1.1.6

=== debian/changelog ===
octave-octcdf (1.1.6-1) unstable; urgency=low

  [ Sébastien Villemot ]
  * Imported Upstream version 1.1.6
  * debian/copyright: reflect upstream changes
  * no-print-command-result.patch: remove patch, applied upstream
  * autoload-yes.patch: new patch, mark package as autoloaded

  [ Rafael Laboissiere ]
  * Bump Standards-Version to 3.9.4 (no changes needed)
  * Use Sébastien Villemot's @debian.org email address
  * Remove obsolete DM-Upload-Allowed flag
  * debian/copyright: Use the octave-maintainers mailing list as upstream
    contact

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 20 May 2013 11:32:47 +0200

octave-octcdf (1.1.5-1) experimental; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 1.1.5
  * Add Lintian override for false positive on hardening flags
  * debian/copyright: Reflect upstream changes
  * Add patch no-print-command-result.patch

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Fri, 06 Jul 2012 12:51:04 +0000

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,10 @@
 Priority: optional
 Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
 Uploaders: Thomas Weber <tweber@debian.org>,
-           Sébastien Villemot <sebastien.villemot@ens.fr>
-DM-Upload-Allowed: yes
+           Sébastien Villemot <sebastien@debian.org>
 Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.1),
  libnetcdf-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://octave.sourceforge.net/octcdf
 Vcs-Git: git://git.debian.org/git/pkg-octave/octave-octcdf.git
 Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-octcdf.git

## octave-octcdf 1.1.7

=== DESCRIPTION ===
Name: octcdf
Version: 1.1.7
Date: 2014-02-17
Author: Alexander Barth <barth.alexander@gmail.com>
Maintainer: Alexander Barth <barth.alexander@gmail.com>
Title: octcdf
Description: A NetCDF interface for octave
Depends: octave (>= 3.4.0)
BuildRequires: netcdf-devel
License: GPLv2+
Url: http://octave.sf.net

=== src/Makefile ===
--- 
+++ 
@@ -42,7 +42,7 @@
 TARGETS = $(NCTARGET)
 
 MOFLAGS = $(OCTCDF_CFLAGS)
-MOLIBS = $(shell mkoctfile --print LIBS) $(OCTCDF_LIBS) 
+MOLIBS = $(OCTCDF_LIBS) 
 
 #
 # comment this line out if your octave installation does not have integer types.
@@ -61,7 +61,7 @@
 ov-netcdf.o ov-ncfile.o ov-ncvar.o  ov-ncatt.o  ov-ncdim.o: ov-netcdf.h ov-ncfile.h ov-ncvar.h  ov-ncatt.h ov-ncdim.h
 
 $(NCTARGET) : $(OBJECTS)
-	LIBS="$(MOLIBS)" $(MKOCTFILE) -o $@ $(MOFLAGS) $(OBJECTS)
+	$(MKOCTFILE) -o $@ $(MOFLAGS) $(OBJECTS) $(MOLIBS) 
 
 %.o:%.cc
 	$(MKOCTFILE) -c $< $(MOFLAGS) $(DEFINES)
@@ -70,5 +70,4 @@
 $(MFILES): nctype.m4
 	m4 --define=TYPE=$(patsubst nc%.m,%,$@) nctype.m4 > $@
 
-clean: ; -$(RM) *.o core* octave-core *.oct *~ *.nc 
-
+clean: ; -$(RM) -R *.o core* octave-core *.oct *~ *.nc autom4te.cache

=== debian/changelog ===
octave-octcdf (1.1.7-1) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * Imported Upstream version 1.1.7
  * Bump to Standards-Version 3.9.5, no changes needed
  * debian/copyright: Reflect upstream changes
  * Drop Lintian override on hardening-no-fortify-functions
  * Add patch fix-spelling.patch

  [ Thomas Weber ]
  * debian/control: Use canonical URLs in Vcs-* fields

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 23 Feb 2014 10:55:31 +0100

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
            Sébastien Villemot <sebastien@debian.org>
 Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.1),
  libnetcdf-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://octave.sourceforge.net/octcdf
-Vcs-Git: git://git.debian.org/git/pkg-octave/octave-octcdf.git
-Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-octcdf.git
+Vcs-Git: git://anonscm.debian.org/pkg-octave/octave-octcdf.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-octave/octave-octcdf.git
 
 Package: octave-octcdf
 Architecture: any

=== debian/watch ===
version=3
http://sf.net/octave/octcdf-(.+)\.tar\.gz

## octave-octcdf 1.1.8

=== DESCRIPTION ===
Name: octcdf
Version: 1.1.8
Date: 2015-03-10
Author: Alexander Barth <barth.alexander@gmail.com>
Maintainer: Alexander Barth <barth.alexander@gmail.com>
Title: octcdf
Description: A NetCDF interface for octave. This interface is depreciated. Please use the netcdf package instead (possibly in combination with ncarray).
Depends: octave (>= 3.4.0)
BuildRequires: netcdf-devel
License: GPLv2+
Url: http://octave.sf.net

=== debian/changelog ===
octave-octcdf (1.1.8-1build2) xenial; urgency=medium

  * No-change rebuild for netcdf transition.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Jan 2016 22:08:36 +0000

octave-octcdf (1.1.8-1build1) wily; urgency=medium

  * No-change rebuild for netcdf soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 26 Sep 2015 15:49:59 +0000

octave-octcdf (1.1.8-1) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * Imported Upstream version 1.1.8
  * d/p/fix-spelling.patch: Drop patch (applied upstream)
  * d/p/autoload-yes.patch: Remove patch (deprecated upstream)

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 19 Jul 2015 18:14:30 +0200

octave-octcdf (1.1.7-2) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Add Rafael Laboissiere and Mike Miller to Uploaders.

  [ Rafael Laboissiere ]
  * d/copyright: Ensure that all files have copyright information
  * Bump Standards-Version to 3.9.6 (no changes needed)

 -- Rafael Laboissiere <rafael@laboissiere.net>  Wed, 01 Oct 2014 08:58:46 -0300

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,12 @@
 Priority: optional
 Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
 Uploaders: Thomas Weber <tweber@debian.org>,
-           Sébastien Villemot <sebastien@debian.org>
+           Rafael Laboissiere <rafael@laboissiere.net>,
+           Sébastien Villemot <sebastien@debian.org>,
+           Mike Miller <mtmiller@debian.org>
 Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.1),
  libnetcdf-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://octave.sourceforge.net/octcdf
 Vcs-Git: git://anonscm.debian.org/pkg-octave/octave-octcdf.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-octave/octave-octcdf.git

## octave-octcdf 1.1.10

=== debian/changelog ===
octave-octcdf (1.1.10-1) unstable; urgency=medium

  * Imported Upstream version 1.1.10
  * d/control:
    + Use secure URIs in the Vcs-* fields
    + Bump Standards-Version to 3.9.7 (no changes needed)

 -- Rafael Laboissiere <rafael@laboissiere.net>  Thu, 24 Mar 2016 08:17:23 +0100

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
            Mike Miller <mtmiller@debian.org>
 Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.1),
  libnetcdf-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://octave.sourceforge.net/octcdf
-Vcs-Git: git://anonscm.debian.org/pkg-octave/octave-octcdf.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-octave/octave-octcdf.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-octave/octave-octcdf.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-octave/octave-octcdf.git
 
 Package: octave-octcdf
 Architecture: any
